<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Dec 08 12:43:15 EET 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<title>ServiceUniversity</title>
<meta name="date" content="2018-12-08">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ServiceUniversity";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../com/Model/FullAddress.Builder.html" title="class in com.Model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../com/Model/University.html" title="class in com.Model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?com/Model/ServiceUniversity.html" target="_top">Frames</a></li>
<li><a href="ServiceUniversity.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.Model</div>
<h2 title="Class ServiceUniversity" class="title">Class ServiceUniversity</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.Model.ServiceUniversity</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ServiceUniversity</span>
extends java.lang.Object</pre>
<div class="block">Service class containing field <b>serviceListUniversity</b>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.List&lt;<a href="../../com/Model/University.html" title="class in com.Model">University</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/Model/ServiceUniversity.html#serviceListUniversity">serviceListUniversity</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../com/Model/ServiceUniversity.html#ServiceUniversity-java.util.List-">ServiceUniversity</a></span>(java.util.List&lt;<a href="../../com/Model/University.html" title="class in com.Model">University</a>&gt;&nbsp;listUniversity)</code>
<div class="block">Constructor - creating a new object</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/Model/ServiceUniversity.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;o)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../com/Model/University.html" title="class in com.Model">University</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/Model/ServiceUniversity.html#getListUniversity--">getListUniversity</a></span>()</code>
<div class="block">Method to get field value <a href="../../com/Model/ServiceUniversity.html#serviceListUniversity"><code>serviceListUniversity</code></a></div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/Model/ServiceUniversity.html#hashCode--">hashCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/Model/ServiceUniversity.html#setListUniversity-java.util.List-">setListUniversity</a></span>(java.util.List&lt;<a href="../../com/Model/University.html" title="class in com.Model">University</a>&gt;&nbsp;listUniversity)</code>
<div class="block">Method of determining the list of universities <a href="../../com/Model/ServiceUniversity.html#serviceListUniversity"><code>serviceListUniversity</code></a></div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../com/Model/University.html" title="class in com.Model">University</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/Model/ServiceUniversity.html#UniversitiesByCity-java.lang.String-">UniversitiesByCity</a></span>(java.lang.String&nbsp;cityFind)</code>
<div class="block">University search method by city <code>University#address#city</code></div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../com/Model/University.html" title="class in com.Model">University</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/Model/ServiceUniversity.html#UniversityByCityStream-java.lang.String-">UniversityByCityStream</a></span>(java.lang.String&nbsp;cityFind)</code>
<div class="block">University search method by city <code>University#address#city</code>
 using Stream API</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../com/Model/University.html" title="class in com.Model">University</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/Model/ServiceUniversity.html#UniversityByLevel-com.Model.accreditationLevel-">UniversityByLevel</a></span>(<a href="../../com/Model/accreditationLevel.html" title="enum in com.Model">accreditationLevel</a>&nbsp;findAccreditationLevel)</code>
<div class="block">University search method by accreditation level <a href="../../com/Model/University.html#level"><code>University.level</code></a></div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../com/Model/University.html" title="class in com.Model">University</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/Model/ServiceUniversity.html#UniversityByLevelStream-com.Model.accreditationLevel-">UniversityByLevelStream</a></span>(<a href="../../com/Model/accreditationLevel.html" title="enum in com.Model">accreditationLevel</a>&nbsp;findAccreditationLevel)</code>
<div class="block">University search method by accreditation level <a href="../../com/Model/University.html#level"><code>University.level</code></a>
 using Stream API</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="serviceListUniversity">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>serviceListUniversity</h4>
<pre>private&nbsp;java.util.List&lt;<a href="../../com/Model/University.html" title="class in com.Model">University</a>&gt; serviceListUniversity</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ServiceUniversity-java.util.List-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ServiceUniversity</h4>
<pre>public&nbsp;ServiceUniversity(java.util.List&lt;<a href="../../com/Model/University.html" title="class in com.Model">University</a>&gt;&nbsp;listUniversity)</pre>
<div class="block">Constructor - creating a new object</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listUniversity</code> - list university</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getListUniversity--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getListUniversity</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../com/Model/University.html" title="class in com.Model">University</a>&gt;&nbsp;getListUniversity()</pre>
<div class="block">Method to get field value <a href="../../com/Model/ServiceUniversity.html#serviceListUniversity"><code>serviceListUniversity</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>service list university</dd>
</dl>
</li>
</ul>
<a name="setListUniversity-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setListUniversity</h4>
<pre>public&nbsp;void&nbsp;setListUniversity(java.util.List&lt;<a href="../../com/Model/University.html" title="class in com.Model">University</a>&gt;&nbsp;listUniversity)</pre>
<div class="block">Method of determining the list of universities <a href="../../com/Model/ServiceUniversity.html#serviceListUniversity"><code>serviceListUniversity</code></a></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listUniversity</code> - list university</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;o)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="UniversitiesByCity-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UniversitiesByCity</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../com/Model/University.html" title="class in com.Model">University</a>&gt;&nbsp;UniversitiesByCity(java.lang.String&nbsp;cityFind)</pre>
<div class="block">University search method by city <code>University#address#city</code></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cityFind</code> - city for search</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>returns a list of universities in the city</dd>
</dl>
</li>
</ul>
<a name="UniversityByCityStream-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UniversityByCityStream</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../com/Model/University.html" title="class in com.Model">University</a>&gt;&nbsp;UniversityByCityStream(java.lang.String&nbsp;cityFind)</pre>
<div class="block">University search method by city <code>University#address#city</code>
 using Stream API</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cityFind</code> - city for search</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of universities in the city</dd>
</dl>
</li>
</ul>
<a name="UniversityByLevel-com.Model.accreditationLevel-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UniversityByLevel</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../com/Model/University.html" title="class in com.Model">University</a>&gt;&nbsp;UniversityByLevel(<a href="../../com/Model/accreditationLevel.html" title="enum in com.Model">accreditationLevel</a>&nbsp;findAccreditationLevel)</pre>
<div class="block">University search method by accreditation level <a href="../../com/Model/University.html#level"><code>University.level</code></a></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>findAccreditationLevel</code> - accreditation level for search</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of universities at accreditationLevel</dd>
</dl>
</li>
</ul>
<a name="UniversityByLevelStream-com.Model.accreditationLevel-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>UniversityByLevelStream</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../com/Model/University.html" title="class in com.Model">University</a>&gt;&nbsp;UniversityByLevelStream(<a href="../../com/Model/accreditationLevel.html" title="enum in com.Model">accreditationLevel</a>&nbsp;findAccreditationLevel)</pre>
<div class="block">University search method by accreditation level <a href="../../com/Model/University.html#level"><code>University.level</code></a>
 using Stream API</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>findAccreditationLevel</code> - accreditation level for search</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of universities at accreditation level</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../com/Model/FullAddress.Builder.html" title="class in com.Model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../com/Model/University.html" title="class in com.Model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?com/Model/ServiceUniversity.html" target="_top">Frames</a></li>
<li><a href="ServiceUniversity.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
